package gov.va.med.esr.messaging.builder.message;

import gov.va.med.esr.common.model.messaging.SiteIdentity;
import gov.va.med.esr.common.model.person.Person;
import gov.va.med.esr.messaging.util.AbstractMessagingTest;
import gov.va.med.fw.hl7.Message;
/**
 * 
 * @author Rajiv Patnaik
 * Created on Oct 19, 2005
 * @version 1.0
 * 
 * Copyright © 2005 VHA. All rights reserved
 */
public class QRYZ07BuilderTest extends AbstractMessagingTest
{
	/**
	 * @param name
	 */
	public QRYZ07BuilderTest(String name) {
		super(name);
	}
		
	public void testBuild() throws Exception {
	     
	    QRYZ07Builder z07Builder = (QRYZ07Builder)this.applicationContext.getBean("outbound.qryz07Builder");
	     Person person = buildPerson();
	     
	     SiteIdentity siteIdentity = createSiteIdentity(person); 
	     Object[] params = {person, siteIdentity, new Integer(2003)};
	     Message qryz07 = z07Builder.build(params);
	     
	     super.assertNotNull(qryz07);
	     System.out.println(qryz07.getMessageData());
	}
}
